<template>
  <div class="bg-container">
    <div class="container">
      <div id="viewer"></div>
    </div>
  </div>
</template>

<script setup>
import { tidoConfig } from '../utilities/tido-config';
import { tidoConfig as tidoConfigDictionary } from '../utilities/tido-config-with-dictionary';

import { usePageData } from '@vuepress/client';
import { onMounted } from "vue";

const page = usePageData();

onMounted(() => {
  const baseUrlApi = import.meta.env.VITE_APP_BASE_URL_API;
  if (!baseUrlApi) return;

  const previousTidoPage = document.body.getAttribute('data-prev-tido');
  const language = page.value.path.split('.')[0].replace('/', '');

  if (previousTidoPage && previousTidoPage !== language) {
    // Remove all query params from URL (the router leaves TIDO query params in place, when you switch pages in Vuepress
    // so this is a quick fix to get rid of them)
    window.history.replaceState({}, document.title, page.value.path);
  }

  document.body.setAttribute('data-prev-tido', language);

  let collection;
  let config = tidoConfig;
  switch (language) {
      case 'arabic-karshuni':
        collection = `${baseUrlApi}/textapi/ahiqar/arabic-karshuni/collection.json`;
        break;
      case 'syriac':
        collection = `${baseUrlApi}/textapi/ahiqar/syriac/collection.json`;
        config = tidoConfigDictionary;
        break;
      case 'neo-aramaic':
        collection = `${baseUrlApi}/textapi/ahiqar/neo-aramaic/collection.json`;
        break;
    }

  new window.Tido({
    ...config,
    collection
  });
})

</script>

<style lang="scss">
.bg-container {
  height: 100%;
  background-color: rgb(229 229 229);

  html.dark & {
    background-color: rgb(23 23 23);
  }

  .container {
    height: 100%;
  }
}

@media (max-width: 1903px) {
  .container {
    max-width: 100% !important;
  }
}

@media (min-width: 1904px) {
  .container {
    max-width: 1860px;
  }
}

#viewer {
  width: 100%;
  height: 100%;
}

.tido .header, .tido .panels-wrapper {
  padding-left: 0;
  padding-right: 0;
}
</style>
